# this file must be UTF-8 encoded

# This macro file contains the definitions required for making the
# navigation bar presentation controlled by the CSS file.

#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global

#######################################################################
# global navigation links
#######################################################################

_globallinks_ {_If_("_cgiargu_" ne "1",_homelink_) _helplink_ _preflink_}
_homelink_ {_navtab_(_httppagehome_,_linktextHOME_,_textdescrhome_)}
_helplink_ {_navtab_(_httppagehelp_,_linktextHELP_,_textdescrhelp_)}
_preflink_ {_navtab_(_httppagepref_,_linktextPREFERENCES_,_textdescrpref_)}

# The following is useful if collection specific macro.  Override
# _optnavigationbar_ to be empty if you don't want the navigation bar to
# appear in the standard place, and then specify _navigationbar_ elsewhere
# in a collection specific macro file(s) to be where you do want it.
_optnavigationbar_{
<div class="navbar">
<p class="navbar">
_navigationbar_
</p>
</div>
} 

_starthighlight_ {<span class="highlight">}
_endhighlight_ {</span>}

# parameters are:
# 1. the url to go to when clicked
# 2. the name of the tab
# 3. alt/title explanatory text
# 4. optional "selected" or not if it is the current tab
#_navtab_ {<span _If_("_4_" eq "selected",class="navlink_sel">_2_,class="navlink"><a href="_1_" title="_3_">_2_</a>)</span>}
_navtab_ {<a _If_("_4_" eq "selected",class="navlink_sel">_2_,class="navlink" href="_1_" title="_3_">_2_)</a>}

# this is done like this because the receptionist checks if a macro called
# _tabtext$FIELD_ is defined. This way we can make sure things are
# undefined for nav_ns4.dm and it can fall back to using the roll-over images
_tabtextSearch_ {_labelSearch_}
_tabtextTitle_ {_labelTitle_}
_tabtextCreator_ {_labelCreator_}
_tabtextSubject_ {_labelSubject_}
_tabtextDescription_ {_labelDescription_}
_tabtextPublisher_ {_labelPublisher_}
_tabtextContributor_ {_labelContributor_}
_tabtextDate_ {_labelDate_}
_tabtextTypes_ {_labelTypes_}
_tabtextFormat_ {_labelFormat_}
_tabtextIdentifier_ {_labelIdentifier_}
_tabtextSource_ {_labelSource_}
_tabtextLanguage_ {_labelLanguage_}
_tabtextRelation_ {_labelRelation_}
_tabtextCoverage_ {_labelCoverage_}
_tabtextRights_ {_labelRights_}
_tabtextOrg_ {_labelOrg_}
_tabtextKeyword_ {_labelKeyword_}
_tabtextHow_ {_labelHow_}
_tabtextSeries_ {_labelSeries_}
_tabtextList_ {_labelList_}
_tabtextTo_ {_labelTo_}
_tabtextFrom_ {_labelFrom_}
_tabtextTopic_ {_labelTopic_}
_tabtextBrwse_ {_labelBrwse_}
_tabtextCollage_ {_labelCollage_}
_tabtextbrows_ {_labelbrows_}
_tabtextPeople_ {_labelPeople_}
_tabtextAcronym_ {_labelAcronym_}
_tabtextPhrase_ {_labelPhrase_}
_tabtextArtist_ {_labelArtist_}
_tabtextVolume_ {_labelVolume_}
_tabtextCaptions_ {_labelCaptions_}
_tabtextCountries_ {_labelCountries_}


#######################################################################
# navigation bar images
#
#######################################################################

# the spacer image - the width of this is calculated and set from server
_navbarspacer_ {<span style="margin-left: _widthtspace_px;"></span>}

_navbarspacer_[v=1] {<br>
}

# image macros for all the classifications currently supported by
# this receptionist.

## used to make the tabs in the navigation bar

# cgiargu means "static page", so no search link should be shown
_navtabsearch_ {_If_("_cgiargu_" ne "1",_navtabsearchlink_(_1_))}
_navtabsearchlink_ {_navtab_(_httpquery_,_labelSearch_,_textdescrsearch_,_1_)}


package about
_imagethispage_ {_titleabout_}

package query
_imagethispage_ {_labelSearch_}


package Style

_imagescript_ {}

#_bannertitle_ {_If_(_imagethispage_,<p class="bannertitle"><span class="bannertitle">_imagethispage_</span></p>)}

_bannertitle_ {_If_(_imagethispage_,<p class="bannertitle">_imagethispage_</p>)}

#<span class="bannertitlebackground">i</span>

package home

_preflink_ {_navtab_(_home:httppagehomepref_,_linktextPREFERENCES_,_textdescrpref_)}

